unit choose;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  mSpeech, Speech, StdCtrls;

type
  TfrmChoose = class(TForm)
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    Button1: TButton;
    Button2: TButton;
    Speech: TMSpeech;
    procedure Button2Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure SpeechStart(Sender: TObject);
    procedure SpeechStop(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmChoose: TfrmChoose;

implementation

uses tts;

{$R *.DFM}

var RealTime: Longword;

procedure TfrmChoose.Button2Click(Sender: TObject);
begin
   Close;
end;

procedure TfrmChoose.RadioButton1Click(Sender: TObject);
begin
   RealTime := $0100;
end;

procedure TfrmChoose.RadioButton2Click(Sender: TObject);
begin
   RealTime := $0200;
end;

procedure TfrmChoose.RadioButton3Click(Sender: TObject);
begin
   RealTime := $0400;
end;

procedure TfrmChoose.RadioButton4Click(Sender: TObject);
begin
   RealTime := $0800;
end;

procedure TfrmChoose.Button1Click(Sender: TObject);
begin
   Speech.Filename := Edit1.Text;

   if ComboBox1.Text = '' then
      Speech.SelectEngine(Speech.Engines[0])
   else
      Speech.SelectEngine(ComboBox1.Text);

// Speech.RealTime := RealTime;
   IAudioFile(Speech.Interfaces[0]).RealTimeSet(RealTime);

   Hide;
   frmTTS.Show;
end;

procedure TfrmChoose.FormShow(Sender: TObject);
begin
   ComboBox1.Items.Assign(Speech.Engines);
   RealTime := $010000;
end;

procedure TfrmChoose.SpeechStart(Sender: TObject);
begin
   frmTTS.Label2.Visible := True;
end;

procedure TfrmChoose.SpeechStop(Sender: TObject);
begin
   frmTTS.Label2.Visible := False;
end;

end.
